Bug 469227 - gnome-session again ignores attempts to switch window managers
gnome-session again ignores attempts to switch window managers
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-30 13:46 EDT by Michal Jaegermann
Modified: 2008-12-05 20:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-05 20:23:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2008-10-30 13:46:44 EDT
Description of problem:

Despite of claims in 'man gnome-wm', supplied as documentation by gnome-session, attempts to switch window managers are coming to nought.  That would be maybe not so surprising as /usr/bin/gnome-wm script carries the following comment:

# NOTE: DON'T USE THIS.  Please have your window manager install
# a desktop file and change the gconf key
# /desktop/gnome/session/required_components/windowmanager

That key used to be /apps/gnome-session/rh/window_manager.  Fair enough; only that the best effects of changes to that key from the comment above are sessions without any window manager at all.  Attempts to guess what a rather obscure comment about "install a desktop file" may mean did not fare any better.  A Google search for information also did not result in anything useful.

There are ways to replace a window manager.  For example - if you will put early  enough in $PATH a link or a script which would run a desired window manager with appropriate options, and you will call that "metacity", then this will run fine. So it looks that one may have any window manager as one wants as long as it is _named_ metacity.

A bug like that showed up before (see bug 449048) but then it was resolved and
now reappeared.

Version-Release number of selected component (if applicable):
gnome-session-2.24.1-3.fc10

How reproducible:
always
Comment 1 Bug Zapper 2008-11-25 23:30:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Michal Jaegermann 2008-12-05 20:23:59 EST
I tried that again. I am not sure what changed but with /desktop/gnome/session/required_components/windowmanager key set to "sawfish" and
the following content of /usr/share/applications/sawfish.desktop file:

[Desktop Entry]
Type=Application
Encoding=UTF-8
Name=Sawfish
Exec=sawfish
NoDisplay=true
# name of loadable control center module
X-GNOME-WMSettingsModule=sawfish
# name we put on the WM spec check window
X-GNOME-WMName=Sawfish
# back compat only 
X-GnomeWMSettingsLibrary=sawfish
X-GNOME-Bugzilla-Bugzilla=GNOME
X-GNOME-Bugzilla-Product=sawfish
X-GNOME-Bugzilla-Component=general
X-GNOME-Autostart-Phase=WindowManager
X-GNOME-Provides=windowmanager
X-GNOME-Autostart-Notify=true

gnome-session indeed used sawfish as its desktop manager.

I checked that only on a rawhide installation and not on F10.

Note You need to log in before you can comment on or make changes to this bug.